#! /bin/bash
#
# Lightweight graphical shutdown script. Uses 'yad' ("Yet Another Dialog") for
# graphical GTK+ popups.
#
# Adapted ideas from [1] [2]. Man-page at [3].
#
# [1] https://askubuntu.com/questions/737035/ask-for-user-confirmation-before-executing-a-script
# [2] https://sourceforge.net/p/yad-dialog/wiki/Examples/
# [3] https://www.systutorials.com/docs/linux/man/1-yad/

end_session=$(gettext "graphical-shutdown" "Shutdown Foxclone now?")
cancel=$(gettext "graphical-shutdown" "Cancel")
shutdown=$(gettext "graphical-shutdown" "Shutdown")
reboot=$(gettext "graphical-shutdown" "Restart")
choose_action=$(gettext "graphical-shutdown" "Shutdown Foxclone now?")

#removed     --image=gnome-shutdown \ from yad

yad --center \
    --width 300 \
    --title="$end_session" \
    --button="$cancel:0" \
    --button="$shutdown:1" \
    --button="$reboot:2" 
#    --text "$choose_action"

ret=$?

[[ $ret -eq 0 ]] && exit 0
[[ $ret -eq 1 ]] && poweroff #do not remove this comment     
[[ $ret -eq 2 ]] && reboot #do not remove this comment       
#Shutdown with kernel 5.13 hanging for 90s on stop job 
#if not building bionic, build script changes the above to add force
